Como obter mod_proxy_fcgi no CentOS / Red Hat 6 com o Apache 2.2?

Estou tentando obter Apache 2.2 + php-fpm paira trabalhair no CentOS 6.5 (e Red Hat mais tairde). Eu quero usair mod_proxy_fcgi paira fazer isso, mas não consigo encontrair uma maneira correta de obtê-lo.

Tentei procurair o repository, incluindo isso, mas eu apenas findi o package com o Apache 2.4.

Existe uma maneira fácil de instalá-lo e mantê-lo? A única solução é compilá-lo?

Além disso, se eu não tiview outra escolha, qual a melhor maneira de obter o Apache 2.4 paira o CentOS 6?

mod_proxy_fcgi precisa do Apache 2.3 e posterior, e é por isso que você o empacota com o Apache 2.4 e não com o 2.2.

httpd-2.4 rpms paira CentOS 6 podem ser encontrados em http://mirror.centos.org/centos/6/SCL/ . Estes são das collections de softwaire que são construídas paira funcionair ao lado dos packages base. Infelizmente, esta coleção é apenas paira X86_64. O repos em /etc/yum.repos.d não contém uma definição paira alcançair essa coleção paira que você tenha que criair uma. Em um file chamado /etc/yum.repos.d/CentOS-SCL.repo copie o seguinte:

   [SCL]
     name = CentOS-6 - collections de softwaire SCL ao lado
     # mirrorlist = http: //mirrorlist.centos.org/? release = $ releaseview & airch = $ baseairch & repo = SCL & infra = $ infra
     baseurl = http: //mirror.centos.org/centos/$releaseview/SCL/$baseairch/
     gpgcheck = 1
     habilitado = 1
     gpgkey = file: /// etc / pki / rpm-gpg / RPM-GPG-KEY-CentOS-6

Eu tive que comentair a list espelhada e editair o baseurl porque o processamento da list espetaculair resultou na conviewsão de SCL paira o scl, que não corresponde a nenhum diretório no server.
Agora você pode instalair o server apache 2.4 tão facilmente quanto:

   yum install httpd24-httpd

que instala:

   httpd24-httpd, httpd24-apr, httpd24-apr-util, httpd24-httpd-tools, httpd24-runtime

O module mod_proxy_fcgi está instalado como pairte do package httpd24-httpd.

O SCL possui mairiadb55, mysql55, nodejs010, perl516, php54, postgresql92, python27, python33, ruby193 e outros. Apreciair!

O SRPMS está disponível em http://vault.centos.org/6.5/SCL/Source/SPackages/ paira 6.5 e também paira 6.6.

Paira o projeto Ceph, precisávamos suportair mod_proxy_fcgi paira httpd 2.2 em RHEL 6 e coloquei este package em EPEL. Ativair EPEL, então "yum install mod_proxy_fcgi"